﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace erettsegi00_Szemelyazon
{
    class Program
    {
        static void Main(string[] args)
        {
            #region a: Személyazonosító bekérése
            Console.Write("a: Kérek egy személyazonosító első 10 jegyét:");
            string szazon = Console.ReadLine();
            #endregion

            #region b: Férfi vagy nő?
            Console.Write("b: Férfi vagy nő? ");
            Console.WriteLine("13".Contains(szazon[0]) ? "Férfi" : "Nő");
            #endregion

            #region c: Születési sorszám kiíratása
            Console.WriteLine("c: Születési sorszám: " + szazon.Substring(7,3));
            #endregion

            #region d: Hányadik születésnapját ünnepli idén?
            string szév = "12".Contains(szazon[0]) ? "19" : "20";
            szév += szazon.Substring(1, 2);
            Console.WriteLine("d: Születésnap: {0}.",DateTime.Now.Year - int.Parse(szév));
            #endregion

            #region e feladat: Második személyazonosító bekérése
            Console.Write("e: Kérek egy másik személyazonosító első 10 jegyét:");
            string szazon2 = Console.ReadLine();
            #endregion

            #region f: Ki az idősebb?
            Console.WriteLine("f: Ki az idősebb?");
            string szül1 = "12".Contains(szazon[0]) ? "19" : "20";
            szül1 += szazon.Substring(1, 9);
            string szül2 = "12".Contains(szazon2[0]) ? "19" : "20";
            szül2 += szazon2.Substring(1, 9);
            Console.WriteLine(ulong.Parse(szül2)>ulong.Parse(szül1) ? "Az első személy az idősebb!" : "A második személy az idősebb!");
            #endregion

            #region g: Mennyi a különbség a születési éveik között?
            Console.WriteLine("g: Szül. évek különbsége: " + Math.Abs(int.Parse(szül1.Substring(0, 4)) - int.Parse(szül2.Substring(0, 4))));
            #endregion

            #region h: A második azonosító 11. jegye
            Console.Write("h: A 11. jegy: ");
            int j11 = 0;
            for (int i = 0; i < 10; i++) j11 += (szazon2[i] - 48) * (10-i); // Hivatalosan a 11. jegy képzése ... * (i+1);
            j11 %= 11;
            Console.WriteLine(j11 == 10 ? "Hibás sorszámot adott meg!" : szazon2+j11);
            #endregion

            #region i: A szemszam.txt file kiírása ...
            Console.WriteLine("i: szemszam.txt file kiírása ...");
            using (StreamWriter sw = new StreamWriter("szemszam.txt"))
            {
                sw.WriteLine(szazon);
                sw.WriteLine(szazon2);
            }
            #endregion

            Console.ReadKey();

        }
    }
}
